## pipewire 0.2.7

=== meson_options.txt ===
option('docs',
       description: 'Build documentation',
       type: 'boolean',
       value: false)
option('man',
       description: 'Build manpages',
       type: 'boolean',
       value: false)
option('gstreamer',
       description: 'Build GStreamer plugins',
       type: 'feature',
       value: 'auto')
option('systemd',
       description: 'Enable systemd integration',
       type: 'boolean',
       value: true)

## pipewire 0.2.3

=== debian/changelog ===
pipewire (0.2.3-3) unstable; urgency=medium

  * Team upload.
  * Make libpipewire-0.2-dev depend against libspa-lib-0.1-dev (Closes:
    #909623)
  * Enable pipewire.socket by default (Closes: #909625)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 26 Sep 2018 01:40:56 +0200

pipewire (0.2.3-2) unstable; urgency=medium

  * Make libpipewire-0.2-dev depend against libspa-lib-0.1-dev (Closes: #909623)
  * Enable pipewire.socket by default (Closes: #909625)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 26 Sep 2018 01:40:45 +0200

pipewire (0.2.3-1) unstable; urgency=medium

  * New upstream release
  * Drop make-spa-lib-version.patch: Applied in new release
  * debian/rules: Update configure options
  * libspa-lib-0.1-1 has been dropped in this release
  * debian/libpipewire-0.2-1.symbols: Update
  * Cherry-pick 7 commits since last release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 19 Sep 2018 19:48:19 -0400

pipewire (0.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #874089)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 13 Aug 2018 11:17:57 -0400

=== debian/control ===
Source: pipewire
Section: libs
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 11),
               libasound2-dev,
               libavcodec-dev,
               libavfilter-dev,
               libavformat-dev,
               libdbus-1-dev,
               libglib2.0-dev,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libsbc-dev,
               libsdl2-dev,
               libudev-dev,
               libva-dev,
               libv4l-dev,
               libx11-dev,
               meson (>= 0.36.0),
               pkg-config (>= 0.22),
               systemd,
               xmltoman,
Build-Depends-Indep: doxygen <!nodoc>,
                     graphviz <!nodoc>,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git
Homepage: https://pipewire.org/

Package: libpipewire-0.2-1
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: libraries for the PipeWire multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.

Package: libpipewire-0.2-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         libpipewire-0.2-1 (= ${binary:Version}),
         libspa-lib-0.1-dev (= ${binary:Version}),
Suggests: pipewire-0.2-doc,
Description: libraries for the PipeWire multimedia server - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files.

Package: libspa-lib-0.1-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}
Suggests: pipewire-0.2-doc,
Description: libraries for the PipeWire multimedia server Simple Plugin API - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files for the Simple Plugin API.

Package: libpipewire-0.2-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: libraries for the PipeWire multimedia server - documentation
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the API reference.

Package: pipewire
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: PipeWire multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the server and command-line utilities.

Package: libspa-ffmpeg
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: libraries for the PipeWire multimedia server - ffmpeg plugins
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
   application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the ffmpeg plugins.

Package: gstreamer1.0-pipewire
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: GStreamer 1.0 plugin for the PipeWire multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the GStreamer plugin.

Package: libspa-bluetooth
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: libraries for the PipeWire multimedia server - bluetooth plugins
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the bluetooth plugins.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --buildsystem=meson


MESON_OPTS = \
	     -Dgstreamer=true \
	     -Dman=true \
	     -Ddocs=true

override_dh_auto_configure:
	dh_auto_configure -- $(MESON_OPTS)

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/spa \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.2 \
		-- -c4

## pipewire 0.2.5

=== debian/changelog ===
pipewire (0.2.5-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Bump minimum meson to 0.47
  * debian/libpipewire-0.2-1.symbols: Add new symbol
  * Drop all patches: applied in new release
  * Bump Standards-Version to 4.3.0

  [ Laurent Bigonville ]
  * debian/libpipewire-0.2-1.symbols: Add the Build-Depends-Package annotation
  * debian/control: Set Section to net for the main pipewire package
    (Closes: #908524)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 04 Jan 2019 14:24:46 -0500

=== debian/control ===
--- 
+++ 
@@ -18,13 +18,13 @@
                libva-dev,
                libv4l-dev,
                libx11-dev,
-               meson (>= 0.36.0),
+               meson (>= 0.47),
                pkg-config (>= 0.22),
                systemd,
                xmltoman,
 Build-Depends-Indep: doxygen <!nodoc>,
                      graphviz <!nodoc>,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
 Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git
 Homepage: https://pipewire.org/
@@ -100,6 +100,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Section: net
 Description: PipeWire multimedia server
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:

## pipewire 0.2.7

=== debian/changelog ===
pipewire (0.2.7-1) unstable; urgency=medium

  * New upstream release
  * debian/libpipewire-0.2-1.symbols: Update
  * Build-Depend on debhelper-compat 12 and drop debian/compat

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 01 Nov 2019 21:50:48 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libasound2-dev,
                libavcodec-dev,
                libavfilter-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dman=true \
		-Ddocs=true

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/spa \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.2 \
		-- -c4

=== debian/watch ===
version=4
https://github.com/PipeWire/pipewire/releases \
 .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## pipewire 0.3.10

=== meson_options.txt ===
option('docs',
       description: 'Build documentation',
       type: 'boolean',
       value: false)
option('examples',
       description: 'Build examples',
       type: 'boolean',
       value: true)
option('man',
       description: 'Build manpages',
       type: 'boolean',
       value: true)
option('tests',
       description: 'Build tests',
       type: 'boolean',
       value: true)
option('installed_tests',
       description: 'Install manual and automated test executables',
       type: 'boolean',
       value: false)
option('gstreamer',
       description: 'Build GStreamer plugins',
       type: 'boolean',
       value: true)
option('systemd',
       description: 'Enable systemd integration',
       type: 'boolean',
       value: true)
option('pipewire-alsa',
       description: 'Enable pipewire-alsa integration',
       type: 'boolean',
       value: true)
option('pipewire-jack',
       description: 'Enable pipewire-jack integration',
       type: 'boolean',
       value: true)
option('libjack-path',
       description: 'Where to install the libjack.so library',
       type: 'string')
option('pipewire-pulseaudio',
       description: 'Enable pipewire-pulseaudio integration',
       type: 'boolean',
       value: true)
option('libpulse-path',
       description: 'Where to install the libpulse.so library',
       type: 'string')
option('spa-plugins',
       description: 'Enable spa plugins integration',
       type: 'boolean',
       value: true)
option('alsa',
       description: 'Enable alsa spa plugin integration',
       type: 'boolean',
       value: true)
option('audiomixer',
       description: 'Enable audiomixer spa plugin integration',
       type: 'boolean',
       value: true)
option('audioconvert',
       description: 'Enable audioconvert spa plugin integration',
       type: 'boolean',
       value: true)
option('bluez5',
       description: 'Enable bluez5 spa plugin integration',
       type: 'boolean',
       value: true)
option('bluez5-backend-native',
       description: 'Enable native HSP backend in bluez5 spa plugin',
       type: 'boolean',
       value: true)
option('bluez5-backend-ofono',
       description: 'Enable oFono HFP backend in bluez5 spa plugin',
       type: 'boolean',
       value: true)
option('control',
       description: 'Enable control spa plugin integration',
       type: 'boolean',
       value: true)
option('audiotestsrc',
       description: 'Enable audiotestsrc spa plugin integration',
       type: 'boolean',
       value: false)
option('ffmpeg',
       description: 'Enable ffmpeg spa plugin integration',
       type: 'boolean',
       value: false)
option('jack',
       description: 'Enable jack spa plugin integration',
       type: 'boolean',
       value: true)
option('support',
       description: 'Enable support spa plugin integration',
       type: 'boolean',
       value: true)
option('evl',
       description: 'Enable EVL support spa plugin integration',
       type: 'boolean',
       value: false)
option('test',
       description: 'Enable test spa plugin integration',
       type: 'boolean',
       value: false)
option('v4l2',
       description: 'Enable v4l2 spa plugin integration',
       type: 'boolean',
       value: true)
option('libcamera',
       description: 'Enable libcamera spa plugin integration',
       type: 'boolean',
       value: false)
option('videoconvert',
       description: 'Enable videoconvert spa plugin integration',
       type: 'boolean',
       value: true)
option('videotestsrc',
       description: 'Enable videotestsrc spa plugin integration',
       type: 'boolean',
       value: false)
option('volume',
       description: 'Enable volume spa plugin integration',
       type: 'boolean',
       value: false)
option('vulkan',
       description: 'Enable vulkan spa plugin integration',
       type: 'boolean',
       value: true)
option('pw-cat',
       description: 'Build pw-cat/pw-play/pw-record',
       type: 'boolean',
       value: true)
option('udevrulesdir',
       type : 'string',
       description : 'Directory for udev rules (defaults to /lib/udev/rules.d)')

=== debian/changelog ===
pipewire (0.3.10-4) unstable; urgency=medium

  * Team upload
  * Release to unstable (starts transition: #966535)

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Sep 2020 09:12:14 +0100

pipewire (0.3.10-3) experimental; urgency=medium

  * Team upload
  * d/rules: Adjust test timeouts again, based on feedback from the buildds.
    mips* now get 10 times as long as fast architectures, and ia64
    is added to the list of slowish architectures that get 5 times as long.
  * d/p/Link-pipewire-jack-to-libatomic-if-required.patch:
    Update patch to the version that was applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Sep 2020 21:06:23 +0100

pipewire (0.3.10-2) experimental; urgency=medium

  * Team upload
  * Use debhelper compat level 13.
    This runs 'meson test' rather than 'ninja test', which will make it
    easier to expand the test timeout.
  * Increase test timeout on slower architectures.
    The resampling tests can be a bit slow, particularly on architectures
    without a real FPU.
  * d/p/Link-pipewire-jack-to-libatomic-if-required.patch:
    Add patch to fix FTBFS on armel (and hopefully also mipsel) by
    explicitly linking to libatomic where needed.

 -- Simon McVittie <smcv@debian.org>  Sun, 06 Sep 2020 21:03:55 +0100

pipewire (0.3.10-1) experimental; urgency=medium

  * Team upload.

  [ Laurent Bigonville ]
  * New upstream release (Closes: #954022)
    - 0.3.x fixes FTBFS with gcc 10 (Closes: #957685)
    - debian/control: Adjust the build-dependencies
    - Bump the soname of the libraries
    - Ship the new plugins (jack and vulkan) in new packages
    - Re-enable some plugins that were enabled before but disabled in this
      release
  * Drop debian/pipewire.links, with debhelper 12, dh_installsystemduser is
    called during the build process and it's taking care of enabling the
    systemd user service and socket (Closes: #953216)
  * Rename libpipewire-0.2-doc to pipewire-doc as the documentation is not
    installed in a versinized directory
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/rules: Tell dh_shlibdeps to also search for the private libraries
  * debian/pipewire.install: Install the control audioconvert and videoconvert
    module in the main package, they are not pulling new dependencies

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Simon McVittie ]
  * New upstream release
  * Version the names of the plugin packages.
    They're installed in a versioned directory, and this package is going
    to have to go through NEW anyway if there are incompatible changes
    to SPA (0.3 or 1.0).
  * d/copyright: Update
  * d/libpipewire-0.3-0.symbols: Update
  * Move executables and modules to their own packages.
    PipeWire clients have to load some of the SPA and PipeWire modules into
    their own address space, so it makes sense for the pipewire package to
    be Multi-Arch: same, with a dependency on the modules for the necessary
    architecture. This means the parts that would collide have to be split
    out into a -bin package, which in turn needs a dependency on the modules
    themselves (for its architecture).
  * Put pipewire, pipewire-bin in Section: video.
    The focus is currently on its video role rather than on its audio role,
    and we don't have a Section: multimedia for things that do both.
    Either audio or video seems more appropriate than Section: net, since
    pipewire is not network-transparent.
  * Separate out a Multi-Arch: same pipewire-audio-client-libraries
    package. Using PipeWire for audio is considered experimental, so we
    probably don't want xdg-desktop-portal and gnome-shell to pull this in.
    - Reduce libpulse-mainloop-glib's GLib dependency to a Recommends.
      It's a hard requirement for that library, but any application that
      would be linked to it must already have a GLib dependency.
  * Improve various package descriptions
  * Disable ffmpeg and vulkan plugins.
    According to upstream developer George Kiagiadakis, these are not
    practically useful.
  * d/p/conf-disable-bluez5.patch: Disable BlueZ support by default.
    PipeWire is intended to be a suitable replacement for PulseAudio
    eventually, but at the moment only the video side is ready for production
    use, with the audio side considered experimental.
    For ordinary ALSA audio devices, it is harmless to have audio support
    available in PipeWire, because both PipeWire and PulseAudio will
    close the audio device when not in use, so they can coexist (as long
    as you do not try to use both at the same time). However, Bluetooth
    audio devices need to be configured even when not in active use, so
    they would fight.
    Patch taken from Fedora.
    Thanks to Wim Taymans
  * d/shlibs.local: Generate lockstep dependencies between binaries.
    Upstream developers are never going to support mixing libraries from
    different builds of PipeWire, and neither should we.
  * Install automated tests and example programs into a new
    pipewire-tests package.
    - d/p/spa-examples-Load-plugins-from-SPA_PLUGIN_DIR-or-installe.patch,
      d/p/Optionally-install-examples-and-tests.patch:
      Make the tests and examples installable
    - d/tests/gnome-desktop-testing: Run most of the tests
  * d/tests/manual.md: Add some manual test instructions.
    Ideally some of these would be automated into autopkgtests (we can't
    assert that we hear a sound, but we can at least assert that aplay
    exits successfully) but for now they are just manual tests.
  * pipewire-tests: Override custom-library-search-path Lintian tag.
    Some of these tests use a RUNPATH to link to libraries from
    pipewire itself.
  * Install symlinks to pw-cat(1) for its various aliases
  * d/rules: Update exclusion paths for dh_makeshlibs
  * Set upstream metadata fields: Bug-Database, Bug-Submit


=== debian/control ===
Source: pipewire
Section: libs
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 13),
               libasound2-dev,
               libbluetooth-dev,
               libdbus-1-dev,
               libglib2.0-dev (>= 2.32.0),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libjack-jackd2-dev (>= 1.9.10),
               libpulse-dev (>= 11.1),
               libsbc-dev,
               libsdl2-dev,
               libsndfile1-dev (>= 1.0.20),
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libv4l-dev,
               meson (>= 0.50.0),
               pkg-config (>= 0.22),
               systemd [linux-any],
               xmltoman,
Build-Depends-Indep: doxygen <!nodoc>,
                     graphviz <!nodoc>,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git
Homepage: https://pipewire.org/

Package: libpipewire-0.3-0
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: pipewire (= ${binary:Version}),
Description: libraries for the PipeWire multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.

Package: libpipewire-0.3-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         libpipewire-0.3-0 (= ${binary:Version}),
         libspa-0.2-dev (= ${binary:Version}),
Suggests: pipewire-doc,
Description: libraries for the PipeWire multimedia server - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files.

Package: libpipewire-0.3-modules
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libspa-0.2-modules (= ${binary:Version}),
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains modules used by the PipeWire server and by clients,
 and should not normally be depended on directly. PipeWire clients should
 depend on the pipewire package instead.

Package: libspa-0.2-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}
Suggests: pipewire-doc,
Description: libraries for the PipeWire multimedia server Simple Plugin API - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files for the Simple Plugin API.

Package: libspa-0.2-modules
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server Simple Plugin API - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains core support modules used in the Simple Plugin API,
 together with test and utility modules that do not introduce additional
 dependencies. It should not normally be depended on directly: PipeWire
 clients should depend on the pipewire package instead.

Package: pipewire-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libpipewire-0.2-doc (<< 0.3.1)
Replaces: libpipewire-0.2-doc (<< 0.3.1)
Description: libraries for the PipeWire multimedia server - documentation
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the API reference.

Package: pipewire
Section: video
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpipewire-0.3-modules (= ${binary:Version}),
         pipewire-bin (= ${binary:Version}),
Description: audio and video processing engine multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This metapackage makes PipeWire available for programs of the same
 architecture, and provides the systemd user service necessary to run
 pipewire on-demand.

Package: pipewire-bin
Section: video
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpipewire-0.3-modules (= ${binary:Version}),
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: PipeWire multimedia server - programs
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the server and command-line utilities, and should
 not normally be depended on directly. PipeWire clients should depend on
 the pipewire package instead.

Package: pipewire-audio-client-libraries
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         pipewire (= ${binary:Version}),
Recommends: ${shlibs:Recommends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: PipeWire multimedia server - audio client libraries
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains client libraries allowing programs designed for
 the ALSA, JACK and PulseAudio APIs to use a PipeWire server for audio
 playback and recording. They are not used by default, and are currently
 considered to be experimental.

Package: pipewire-tests
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         pipewire (= ${binary:Version}),
Section: misc
Description: PipeWire multimedia server - tests and examples
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains automated and manual tests and example programs.

Package: gstreamer1.0-pipewire
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         pipewire (= ${binary:Version}),
Description: GStreamer 1.0 plugin for the PipeWire multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains a plugin to make devices managed by the PipeWire
 server available as GStreamer sources and sinks.

Package: libspa-0.2-bluetooth
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libspa-0.2-modules (= ${binary:Version}),
Description: libraries for the PipeWire multimedia server - bluetooth plugins
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains a plugin to make Bluetooth audio devices such as
 speakers and headsets available to the PipeWire server. It is considered
 to be experimental, and is disabled by default (even if installed) to
 avoid conflicts with equivalent functionality in PulseAudio.

Package: libspa-0.2-jack
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libspa-0.2-modules (= ${binary:Version}),
Description: libraries for the PipeWire multimedia server - JACK client
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains a plugin to make PipeWire able to connect to a
 JACK server, which will be used for audio playback and recording.
 Using PipeWire for audio is considered to be experimental.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Daudiotestsrc=true \
		-Dffmpeg=false \
		-Dinstalled_tests=true \
		-Dvideotestsrc=true \
		-Dvolume=true \
		-Dvulkan=false \
		-Dtest=true \
		-Dman=true \
		-Ddocs=true

test_timeout_multiplier = 1

ifneq ($(filter arm hppa ia64 m68k riscv64 sh4 sparc%,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 5
endif

ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 10
endif

override_dh_auto_test:
	dh_auto_test \
		-- \
		--timeout-multiplier $(test_timeout_multiplier) \
		$(NULL)

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/spa-0.2 \
		-- -c4

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 -Xlibpulse-mainloop-glib -- -dRecommends -edebian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3/pulse/libpulse-mainloop-glib.so.0 -dDepends

=== debian/tests/control ===
Tests: gnome-desktop-testing
Depends:
 gnome-desktop-testing,
 pipewire-tests,

Tests: libpipewire-0.3-dev
Restrictions: allow-stderr, superficial
Depends:
 build-essential,
 libpipewire-0.3-dev,
 pkg-config,

## pipewire 0.3.15.1

=== meson_options.txt ===
--- 
+++ 
@@ -22,8 +22,20 @@
        description: 'Build GStreamer plugins',
        type: 'boolean',
        value: true)
+option('gstreamer-device-provider',
+       description: 'Build GStreamer device provider plugin',
+       type: 'boolean',
+       value: true)
 option('systemd',
        description: 'Enable systemd integration',
+       type: 'boolean',
+       value: true)
+option('systemd-system-service',
+       description: 'Install systemd system service file',
+       type: 'boolean',
+       value: false)
+option('systemd-user-service',
+       description: 'Install systemd user service file',
        type: 'boolean',
        value: true)
 option('pipewire-alsa',
@@ -72,6 +84,10 @@
        description: 'Enable oFono HFP backend in bluez5 spa plugin',
        type: 'boolean',
        value: true)
+option('bluez5-backend-hsphfpd',
+       description: 'Enable hsphfpd backend in bluez5 spa plugin',
+       type: 'boolean',
+       value: false)
 option('control',
        description: 'Enable control spa plugin integration',
        type: 'boolean',

=== debian/changelog ===
pipewire (0.3.15.1-1) unstable; urgency=medium

  * update

 -- Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>  Fri, 06 May 2022 17:05:57 +0800

pipewire (0.3.15-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Disable the pulse-bridge module by default.
      This should only be used if completely replacing PulseAudio
      with PipeWire, which Debian is definitely not ready to do.
    - Disable the bluez5 module by default (previously a Debian and
      Fedora patch). This should also only be used if completely
      replacing PulseAudio with PipeWire.
    - Various other bug fixes
  * Drop patch to disable bluez5 plugin.
    This should no longer be necessary.
  * d/p/protocol-native-do-version-check-on-HELLO.patch:
    Add patch (from upstream, via Fedora) to fix interop with older clients

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Nov 2020 18:10:32 +0000

pipewire (0.3.14-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Avoid colliding with PulseAudio (Closes: #970760)
  * d/pipewire-bin.install: Install pw-reserve

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Nov 2020 09:48:08 +0000

pipewire (0.3.12-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Configuration in ~/.pipewire-media-session is no longer used.
      If you have configuration in that location, please move it into
      $XDG_CONFIG_HOME/pipewire-media-session, defaulting to
      $HOME/.config/pipewire-media-session if $XDG_CONFIG_HOME is not
      set. It will not be migrated automatically.
  * d/p/Link-pipewire-jack-to-libatomic-if-required.patch:
    Drop, applied upstream
  * Move libspa-0.2-modules dependency from -modules to shared library.
    The shared library calls into the support module, as seen in the
    autopkgtest.
  * Stop pipewire-audio-client-libraries depending on libpulse.
    If we are using PipeWire's emulation of libpulse-simple.so.0, we'll
    also be using PipeWire's emulation of libpulse.so.0, so there's no
    point in depending on the real PulseAudio libpulse.so.0.
  * d/rules: Sort Meson options alphabetically
  * d/tests/gstreamer1.0-pipewire: Add a superficial test for the plugin.
    This would reproduce #919880, if it comes back.

 -- Simon McVittie <smcv@debian.org>  Sat, 19 Sep 2020 15:59:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
                libasound2-dev,
                libbluetooth-dev,
                libdbus-1-dev,
@@ -18,7 +18,7 @@
                libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libv4l-dev,
-               meson (>= 0.50.0),
+               meson,
                pkg-config (>= 0.22),
                systemd [linux-any],
                xmltoman,
@@ -34,6 +34,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         libspa-0.2-modules (= ${binary:Version}),
 Recommends: pipewire (= ${binary:Version}),
 Description: libraries for the PipeWire multimedia server
  PipeWire is a server and user space API to deal with multimedia
@@ -68,7 +69,6 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libspa-0.2-modules (= ${binary:Version}),
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: libraries for the PipeWire multimedia server - modules

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Daudiotestsrc=true \
		-Dauto_features=enabled \
		-Ddocs=true \
		-Dffmpeg=false \
		-Dinstalled_tests=true \
		-Dman=true \
		-Dtest=true \
		-Dvideotestsrc=true \
		-Dvolume=true \
		-Dvulkan=false \
		$(NULL)

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/spa-0.2 \
		-- -c4

override_dh_shlibdeps-arch:
	dh_shlibdeps \
		-ppipewire-audio-client-libraries \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		-Xlibpulse-mainloop-glib \
		-- \
		-Ldebian/pipewire-audio-client-libraries.shlibs.local \
		-dRecommends \
		-edebian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3/pulse/libpulse-mainloop-glib.so.0 \
		-dDepends \
		$(NULL)
	dh_shlibdeps \
		--remaining-packages \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		$(NULL)
override_dh_auto_test:
	# Disable auto tests at build time
	:

## pipewire 0.3.19

=== meson_options.txt ===
--- 
+++ 
@@ -48,13 +48,6 @@
        value: true)
 option('libjack-path',
        description: 'Where to install the libjack.so library',
-       type: 'string')
-option('pipewire-pulseaudio',
-       description: 'Enable pipewire-pulseaudio integration',
-       type: 'boolean',
-       value: true)
-option('libpulse-path',
-       description: 'Where to install the libpulse.so library',
        type: 'string')
 option('spa-plugins',
        description: 'Enable spa plugins integration',

=== debian/changelog ===
pipewire (0.3.19-4) unstable; urgency=medium

  * Team upload
  * Disable GStreamer device provider.
    Apparently it isn't ready, and breaks video recording in cheese.
    Thanks to Fedora (see also Red Hat bug 1884260). (Closes: #982636)

 -- Simon McVittie <smcv@debian.org>  Sat, 13 Feb 2021 10:49:02 +0000

pipewire (0.3.19-3) unstable; urgency=medium

  * Team upload
  * Don't enable audio-related plugins by default.
    Using pipewire for audio is considered experimental for Debian 11,
    and in particular the with-pulseaudio flag file will result in
    PulseAudio and Pipewire fighting over Bluetooth devices.
    - If you're experimenting with pipewire-pulse, please see
      /usr/share/doc/pipewire-audio-client-libraries/README.Debian
      for details of how to re-enable these.
  * Install brief documentation of how to experiment with Pipewire for audio.
    There should eventually be a pipewire-pulse package that sets up the
    PulseAudio replacement automatically, and perhaps a pipewire-jack
    package that does the equivalent for the JACK libraries, but these
    are rather new and don't seem to be ready for general use in Debian 11.

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Jan 2021 15:55:13 +0000

pipewire (0.3.19-2) unstable; urgency=medium

  * Team upload
  * Depend on openaptx with #980297 fixed, instead of working around it
  * Don't depend on libldac on big-endian architectures.
    It currently only compiles on little-endian architectures (#980372).

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Jan 2021 11:58:41 +0000

pipewire (0.3.19-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #979309)
    - Fix cleanup of acp card objects (Closes: #979537)
    - Provide pipewire-pulse, pipewire's replacement for the PulseAudio
      daemon (Closes: #976654). Note that this is not enabled by default
      for bullseye. systemd user units to start it can be found in
      /usr/share/doc/pipewire/examples/systemd/user.
  * Drop patch, applied upstream
  * Remove pw-pulse from pipewire-audio-client-libraries, no longer
    supported upstream
  * Fix installation path for example 99-pipewire-default.conf
  * Install example ld.so.conf.d fragments into
    /usr/share/doc/pipewire/examples/ld.so.conf.d to replace libjack with
    Pipewire as suggested by upstream. These can be copied into
    /etc/ld.so.conf.d if desired. This is not done by default and is
    considered to be experimental
  * Add Build-Conflicts with non-free libfdk-aac-dev.
    This makes the build more predictable by not compiling a plugin that
    would depend on that library.
  * d/control: Add new dependencies for Bluetooth codecs
  * Build-depend on libncurses-dev for the new pw-top utility
  * d/copyright: Update
  * d/pipewire-bin.install: Install pw-dump and pw-top
  * Don't automatically start pipewire for root logins (Closes: #979791)
  * Standards-Version: 4.5.1 (no changes required)
  * Update symbols file
  * Remove unnecessary RUNPATH from bluez5 plugin (workaround for #980297)
  * Silence library-not-linked-against-libc lintian error for JACK
    libraries.
    These libraries genuinely don't directly need anything from glibc.

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Jan 2021 13:38:28 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libasound2-dev,
                libbluetooth-dev,
                libdbus-1-dev,
@@ -11,6 +11,10 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libjack-jackd2-dev (>= 1.9.10),
+               libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
+               libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
+               libncurses-dev,
+               libopenaptx-dev (>= 0.2.0-5~),
                libpulse-dev (>= 11.1),
                libsbc-dev,
                libsdl2-dev,
@@ -18,13 +22,14 @@
                libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libv4l-dev,
-               meson,
+               meson (>= 0.50.0),
                pkg-config (>= 0.22),
                systemd [linux-any],
                xmltoman,
+Build-Conflicts: libfdk-aac-dev
 Build-Depends-Indep: doxygen <!nodoc>,
                      graphviz <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
 Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git
 Homepage: https://pipewire.org/

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,31 @@
 		-Dauto_features=enabled \
 		-Ddocs=true \
 		-Dffmpeg=false \
+		-Dgstreamer-device-provider=false \
 		-Dinstalled_tests=true \
 		-Dman=true \
 		-Dtest=true \
 		-Dvideotestsrc=true \
 		-Dvolume=true \
 		-Dvulkan=false \
+		$(NULL)
+	install -d debian/ld.so.conf.d
+	echo "/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3/jack/" > "debian/ld.so.conf.d/pipewire-jack-$(DEB_HOST_MULTIARCH).conf"
+
+test_timeout_multiplier = 1
+
+ifneq ($(filter arm hppa ia64 m68k riscv64 sh4 sparc%,$(DEB_HOST_ARCH_CPU)),)
+test_timeout_multiplier = 5
+endif
+
+ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
+test_timeout_multiplier = 10
+endif
+
+override_dh_auto_test:
+	dh_auto_test \
+		-- \
+		--timeout-multiplier $(test_timeout_multiplier) \
 		$(NULL)
 
 override_dh_missing:
@@ -34,17 +53,10 @@
 	dh_shlibdeps \
 		-ppipewire-audio-client-libraries \
 		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
-		-Xlibpulse-mainloop-glib \
 		-- \
 		-Ldebian/pipewire-audio-client-libraries.shlibs.local \
-		-dRecommends \
-		-edebian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3/pulse/libpulse-mainloop-glib.so.0 \
-		-dDepends \
 		$(NULL)
 	dh_shlibdeps \
 		--remaining-packages \
 		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
 		$(NULL)
-override_dh_auto_test:
-	# Disable auto tests at build time
-	:

=== debian/tests/control ===
--- 
+++ 
@@ -2,6 +2,12 @@
 Depends:
  gnome-desktop-testing,
  pipewire-tests,
+
+Tests: gstreamer1.0-pipewire
+Restrictions: allow-stderr, superficial
+Depends:
+ gstreamer1.0-pipewire,
+ gstreamer1.0-tools,
 
 Tests: libpipewire-0.3-dev
 Restrictions: allow-stderr, superficial
